Bug 866007 - SELinux is preventing /usr/bin/mount from 'write' accesses on the file utab.
SELinux is preventing /usr/bin/mount from 'write' accesses on the file utab.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:8edbc2da6142c0da9d821dfa3fd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-13 04:35 EDT by Kit Gerrits
Modified: 2012-12-20 11:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:19:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-10-13 04:35 EDT, Kit Gerrits
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-10-13 04:35 EDT, Kit Gerrits
no flags Details

  None (edit)
Description Kit Gerrits 2012-10-13 04:35:18 EDT
Description of problem:
starting NFS

Additional info:
libreport version: 2.0.14
kernel:         3.6.1-1.fc17.x86_64

description:
:SELinux is preventing /usr/bin/mount from 'write' accesses on the file utab.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that mount should be allowed write access on the utab file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep mount /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:nfsd_t:s0
:Target Context                unconfined_u:object_r:mount_var_run_t:s0
:Target Objects                utab [ file ]
:Source                        mount
:Source Path                   /usr/bin/mount
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           util-linux-2.21.2-2.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-153.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.6.1-1.fc17.x86_64 #1 SMP Wed Oct
:                              10 12:13:05 UTC 2012 x86_64 x86_64
:Alert Count                   1
:First Seen                    2012-10-13 10:33:49 CEST
:Last Seen                     2012-10-13 10:33:49 CEST
:Local ID                      caea9e89-9fdf-41e6-a1c6-4f2b3e7058fc
:
:Raw Audit Messages
:type=AVC msg=audit(1350117229.976:608): avc:  denied  { write } for  pid=4679 comm="mount" name="utab" dev="tmpfs" ino=794201 scontext=system_u:system_r:nfsd_t:s0 tcontext=unconfined_u:object_r:mount_var_run_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1350117229.976:608): arch=x86_64 syscall=open success=no exit=EACCES a0=7fa0b83a9180 a1=42 a2=1a4 a3=7fff87692ff0 items=0 ppid=4678 pid=4679 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=mount exe=/usr/bin/mount subj=system_u:system_r:nfsd_t:s0 key=(null)
:
:Hash: mount,nfsd_t,mount_var_run_t,file,write
:
:audit2allow
:
:#============= nfsd_t ==============
:allow nfsd_t mount_var_run_t:file write;
:
:audit2allow -R
:
:#============= nfsd_t ==============
:allow nfsd_t mount_var_run_t:file write;
:
Comment 1 Kit Gerrits 2012-10-13 04:35:21 EDT
Created attachment 626443 [details]
File: type
Comment 2 Kit Gerrits 2012-10-13 04:35:23 EDT
Created attachment 626444 [details]
File: hashmarkername
Comment 3 Daniel Walsh 2012-10-16 09:43:01 EDT
fd8213748dd28281880d77b48f61d22ec8c76c89
and
c0b7afc99283cd7e5e08faa07606f65553757e07

Allow this in F18
Comment 4 Miroslav Grepl 2012-10-17 07:36:39 EDT
Backported.

commit 69449a241467d9b788f67b20b09bcd64df5b8e33
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Wed Oct 17 13:36:20 2012 +0200

    Allow nfsd to write to mount_var_run_t when running the mount command
Comment 5 Fedora Update System 2012-10-17 08:36:04 EDT
selinux-policy-3.10.0-156.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-156.fc17
Comment 6 Fedora Update System 2012-10-17 20:27:24 EDT
Package selinux-policy-3.10.0-156.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-156.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16347/selinux-policy-3.10.0-156.fc17
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-20 11:19:10 EST
selinux-policy-3.10.0-156.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Kit Gerrits 2012-12-20 11:57:41 EST
Great, thanks!

Note You need to log in before you can comment on or make changes to this bug.